Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph.impl
Class XMLGraphWriter

    java.lang.Object
      de.grogra.persistence.XMLPersistenceWriter
          de.grogra.graph.impl.XMLGraphWriter

All Implemented Interfaces:
  GraphOutput, PersistenceOutput

    public class XMLGraphWriter

extends XMLPersistenceWriter
implements GraphOutput

Field Summary

Fields inherited from class de.grogra.persistence.XMLPersistenceWriter
`listener, NAMESPACE, NS_ATTRIBUTE, NS_PREFIX`

Constructor Summary
`XMLGraphWriter(org.xml.sax.ContentHandler ch, PersistenceOutputListener listener)`
`XMLGraphWriter(org.xml.sax.ContentHandler ch, PersistenceOutputListener listener, boolean onlyReferences)`

Method Summary
`void` | `beginExtent(GraphManager manager, int rootCount)`
`void` | `beginNode(Node node, Edge edge)`
`void` | `beginRoot(java.lang.String name)`
`void` | `endExtent()`
`void` | `endNode(Node node)`
`void` | `endRoot(java.lang.String name)`
`void` | `writePersistentObjectReference(PersistenceCapable o)`

Methods inherited from class de.grogra.persistence.XMLPersistenceWriter
`beginArray, beginExtent, beginField, beginFields, beginManaged, endArray, endElement, endField, endFields, endManaged, getAttributes, getContentHandler, setNested, startElement, toString, toString, writeBoolean, writeByte, writeChar, writeDouble, writeFields, writeFloat, writeInt, writeLong, writeName, writeNullObject, writeObject, writeSharedObjectReference, writeShort, writeString, writeStringObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceOutput
`beginArray, beginField, beginFields, beginManaged, endArray, endField, endFields, endManaged, setNested, writeBoolean, writeByte, writeChar, writeDouble, writeFloat, writeInt, writeLong, writeName, writeNullObject, writeObject, writeSharedObjectReference, writeShort, writeString, writeStringObject`

Constructor Detail

### XMLGraphWriter

    public XMLGraphWriter(org.xml.sax.ContentHandler ch,
                          PersistenceOutputListener listener)

### XMLGraphWriter

    public XMLGraphWriter(org.xml.sax.ContentHandler ch,
                          PersistenceOutputListener listener,
                          boolean onlyReferences)

Method Detail

### beginExtent

    public void beginExtent(GraphManager manager,
                            int rootCount)
                     throws java.io.IOException

  Specified by:
    `beginExtent` in interface `GraphOutput`
  Throws:
    `java.io.IOException`

### beginNode

    public void beginNode(Node node,
                          Edge edge)
                   throws java.io.IOException

  Specified by:
    `beginNode` in interface `GraphOutput`
  Throws:
    `java.io.IOException`

### beginRoot

    public void beginRoot(java.lang.String name)
                   throws java.io.IOException

  Specified by:
    `beginRoot` in interface `GraphOutput`
  Throws:
    `java.io.IOException`

### endExtent

    public void endExtent()
                   throws java.io.IOException

  Specified by:
    `endExtent` in interface `GraphOutput`
  Overrides:
    `endExtent` in class `XMLPersistenceWriter`
  Throws:
    `java.io.IOException`

### endNode

    public void endNode(Node node)
                 throws java.io.IOException

  Specified by:
    `endNode` in interface `GraphOutput`
  Throws:
    `java.io.IOException`

### endRoot

    public void endRoot(java.lang.String name)
                 throws java.io.IOException

  Specified by:
    `endRoot` in interface `GraphOutput`
  Throws:
    `java.io.IOException`

### writePersistentObjectReference

    public void writePersistentObjectReference(PersistenceCapable o)
                                        throws java.io.IOException

  Specified by:
    `writePersistentObjectReference` in interface `PersistenceOutput`
  Overrides:
    `writePersistentObjectReference` in class `XMLPersistenceWriter`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD